Bug 49770 - kickstart: if rpm segfaults, the whole installer sig11's
Summary: kickstart: if rpm segfaults, the whole installer sig11's
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-23 19:35 UTC by Pekka Savola
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 14:58:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2001-07-23 19:35:40 UTC
See #49688 for a problem where rpm segfaults.

If such rpm is included in the distribution when installing, using standard install 
anaconda tries to install the rpm, fails, but the keeps on going without complaints.

However, when run in the kickstart mode, the whole installer dies with sig11 if anaconda tries
to install the bad rpm.

There might be some reasons for different behaviour (kickstart is often expected to be "honed to 
the perfection beforehand" :-), but this does look more like a misfeature to me...

Comment 1 Glen Foster 2001-07-23 21:17:38 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Michael Fulbright 2001-09-17 21:45:45 UTC
Well if there is a bad RPM we should always stop the install.

Comment 3 Michael Fulbright 2002-05-01 16:22:28 UTC
Jeremy is doing some work to handle the bad package case.

Comment 4 Jeremy Katz 2002-10-25 21:35:18 UTC
Things should be better with our current codebase

Comment 5 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 6 Brent Fox 2003-05-25 14:58:29 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.